# $Id: perl-WWW-Babelfish.spec 5984 2007-11-11 22:25:32Z dag $
# Authority: dries
# Upstream: Dan Urist <durist$frii,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name WWW-Babelfish

Summary: Perl extension for translation via babelfish
Name: perl-WWW-Babelfish
Version: 0.16
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/WWW-Babelfish/

Source: http://www.cpan.org/modules/by-module/WWW/WWW-Babelfish-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
This module is a simple perl front-end to the Babelfish translation
server.  It's more fun than useful, but it might have a place in
IRC/talk clients or perhaps a translating web proxy. It makes an
attempt at breaking longer pieces of text up into chunks that
Babelfish can handle and then reassembling them. This version also
contains preliminary support for the Google translation engine.

%prep
%setup -n %{real_name}-%{version}

%build
echo | %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/WWW/Babelfish.pm
%{perl_vendorlib}/auto/WWW/Babelfish

%changelog
* Wed Jan 03 2007 Dries Verachtert <dries@ulyssis.org> - 0.16-1 #5984
- Updated to release 0.16.

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 0.15-1
- Updated to release 0.15.

* Fri Jun  2 2006 Dries Verachtert <dries@ulyssis.org> - 0.14-1
- Updated to release 0.14.

* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.13-1.2
- Rebuild for Fedora Core 5.

* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 0.13-1
- Updated to release 0.13.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.12-1
- Initial package.
